%define aclocaldir /usr/share/aclocal
%define _sbindir /sbin

Summary: The GNU disk partition manipulation program
Name:    parted
Version: 1.6.19
Release: 22.EL

Source:  ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz

Patch0:  %{name}-1.6.3-fat.c.patch
Patch1:  %{name}-1.6.15-unique-sig.patch
Patch2:  %{name}-1.6.15-dasd.patch
Patch3:  %{name}-1.6.3-iseries.patch
Patch4:  %{name}-1.6.19-sx8.patch
Patch5:  %{name}-1.6.3-aix.patch
Patch6:  %{name}-1.6.15-dasd_geometry.patch
Patch7:  %{name}-1.6.19-secsz.patch
Patch8:  %{name}-1.6.19-scsi.patch
Patch9:  %{name}-1.6.19-i18n.patch
Patch10: %{name}-1.6.19-O_DIRECT.patch
Patch11: %{name}-1.6.19-vtoc-errbuf.patch
Patch12: %{name}-1.6.19-gpt.patch
Patch13: %{name}-1.6.19-extended.patch
Patch14: %{name}-1.6.19-partprobe-lock-sun-disklabel.patch
Patch15: %{name}-1.6.19-gpt-varsizes.patch
Patch16: %{name}-1.6.19-zero-heads.patch
Patch17: %{name}-1.6.19-xen.patch
Patch18: %{name}-1.6.19-large-sectors.patch
Patch19: %{name}-1.6.19-msdos-geom.patch
Patch20: %{name}-1.6.19-2TB-limit.patch
Patch21: %{name}-1.6.19-partprobe-exceptions.patch
Patch22: %{name}-1.6.19-extended_size.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: GPLv2+
Group: Applications/System
BuildRequires: e2fsprogs-devel libtermcap-devel readline-devel ncurses-devel
BuildRequires: automake libtool gettext-devel
Prereq: /sbin/install-info

%description
The GNU Parted program allows you to create, destroy, resize, move,
and copy hard disk partitions. Parted can be used for creating space
for new operating systems, reorganizing disk usage, and copying data
to new hard disks.

%package devel
Summary: Files for developing apps which will manipulate disk partitions.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
The GNU Parted library is a set of routines for hard disk partition
manipulation. If you want to develop programs that manipulate disk
partitions and filesystems using the routines provided by the GNU
Parted library, you need to install this package.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1

iconv -f iso-8859-1 -t utf-8 < doc/pt_BR-parted.8 > doc/pt_BR-parted.8_
%{__mv} doc/pt_BR-parted.8_ doc/pt_BR-parted.8

%{__aclocal}
%{__autoconf}

%build
%{__rm} -rf %{buildroot}
if [ -n "$LINGUAS" ]; then
    unset LINGUAS
fi
%configure \
    --enable-shared \
    --enable-part-static \
    --enable-pc98=no \
    --enable-Werror=no \
    --disable-dynamic-loading
export tagname=CC
%{__make} LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__rm} -rf %{buildroot}%{_libdir}/*.la
%{__rm} -rf %{buildroot}%{_infodir}/dir

%find_lang %name

%clean
%{__rm} -rf %{buildroot}

%post 
/sbin/ldconfig
/sbin/install-info %{_infodir}/parted.info* %{_infodir}/dir || :

%postun 
/sbin/ldconfig 
/sbin/install-info --delete %{_infodir}/parted.info* %{_infodir}/dir || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO doc/API doc/FAT
%{_sbindir}/*
%{_mandir}/*/*
%{_libdir}/*.so.*
%{_infodir}/parted.info*

%files devel
%defattr(-,root,root)
%{_prefix}/include/*
%{aclocaldir}/*
%{_libdir}/*.a*
%{_libdir}/*.so

%changelog
* Fri Jun 13 2008 Joel Granados <jgranado@redhat.com> - 1.6.19-22.EL
- Correct an error that was introduced with the 2T patch.
  Resolves: rhbz#209968

* Tue Jun 10 2008 Joel Granados <jgranado@redhat.com> - 1.6.19-21.EL
- Don't create overlapping extended partitions.
  Resolves: rhbz#218477

* Fri Mar 14 2008 David Cantrell <dcantrell@redhat.com> - 1.6.19-20.EL
- Prevent assertion when probing for geom on an s390 edevice
  Resolves: rhbz#432441
- Do not create DOS partitions larger than 2TB
  Resolves: rhbz#209968
- Include extended partitions when syncing to disk
  Resolves: rhbz#218477
- Do not automatically make changes to the disk in partprobe
  Resolves: rhbz#247278

* Tue Aug 07 2007 David Cantrell <dcantrell@redhat.com> - 1.6.19-19.EL
- Correctly identify Xen virtual disk device minor numbers
  Related: rhbz#233606

* Thu Aug 02 2007 David Cantrell <dcantrell@redhat.com> - 1.6.19-18.EL
- Create hardware sector aligned partitions with logical sector sizes
  greater than 512 bytes
  Resolves: rhbz#158117

* Mon Mar 05 2007 David Cantrell <dcantrell@redhat.com> - 1.6.19-17.EL
- Handle large disks (TBs) where the number of heads is zero
  Resolves: rhbz#180292

* Thu Feb 15 2007 David Cantrell <dcantrell@redhat.com> - 1.6.19-16.EL
- Fix exception when working with GPT disklabels on 64-bit systems

* Wed Jan 31 2007 David Cantrell <dcantrell@redhat.com> - 1.6.19-15.EL
- Correct Sun disklabel reading problems (#207372)

* Wed Oct 18 2006 Jeremy Katz <katzj@redhat.com> - 1.6.19-14.EL
- add support for xen disk devices (#201613)

* Mon Aug 28 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-13.EL
- Let extended partitions remain visible after running partprobe (#195892)

* Wed Aug 23 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-12.EL
- Improve error message returned by _parse_header() on GPT-labeled disks
  so users actually have an idea of how to correct the problem
- Fix off-by-one error with LastUsableLBA and PartitionEntryLBA overlap
  to prevent possible data corruption when using non-parted GPT editing
  tools

* Thu Aug 17 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-11.EL
- Updated O_DIRECT patch to work around s390 problems

* Wed Aug 16 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-10.EL
- Expand error buffer to 8192 bytes in vtoc_error()
- Do not apply O_DIRECT patch on S/390 or S/390x platforms
- Update LastUsableLBA on GPT-labeled disks after LUN resize (#194238)
- Fix exception when backup GPT table is not in the correction location
  and parted tries to move it (#194238)

* Wed Jul 05 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-9.EL
- Move .so symlink to -devel subpackage

* Thu Jun 22 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-8.EL
- Use O_DIRECT for device reading/writing on Linux (#185470)
- Remove unnecessary gpt patch

* Wed Jun 07 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-6.EL
- Removed bogus ped_disk_dasd_init() and ped_disk_dasd_done() prototypes
- Added disk_dasd, fdasd, and vtoc to libparted/Makefile.in

* Mon Jun 05 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-5.EL
- GPT and disklabel updates in libparted (#185470)

* Mon May  1 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-4.EL
- Added translations for sector size exception message (#158218)
  along with other i18n updates for parted.

* Tue Apr 20 2006 David Cantrell <dcantrell@redhat.com> - 1.6.19-3.EL
- Reworded the sector size exception so it asks a yes/no question (#158218)
- Added macros for SCSI disk 10 through 15 (#142402).

* Tue Dec 14 2004 Jeremy Katz <katzj@redhat.com> - 1.6.19-2.EL
- add patch to support Promise SX8 devices

* Sun Nov 28 2004 Jeremy Katz <katzj@redhat.com> - 1.6.19-1.EL
- update to 1.6.19 (#138419, #138480)

* Sat Nov 20 2004 Miloslav Trmac <mitr@redhat.com> - 1.6.16-3
- Convert pt_BR-parted.8 to UTF-8

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 1.6.15-5
- add patch from Matt Domsch to add a unique signature to new DOS labels 
  so that we can later determine which BIOS disk is which (#106674)

* Fri Oct 15 2004 Phil Knirsch <pknirsch@redhat.com> 1.6.15-4
- Fixed dasd patch (had some duplicate file patches in it)
- Fixed problem with parted segfaulting on SCSI discs on s390 (#133997)

* Tue Oct 12 2004 Jeremy Katz <katzj@redhat.com> - 1.6.15-3
- add patch from peterm to fix printing of the size of large devices (#135468)

* Thu Oct 07 2004 Phil Knirsch <pknirsch@redhat.com> 1.6.15-2
- Fixed geometry calculation for bios_geo in dasd_init()

* Mon Sep 20 2004 Jeremy Katz <katzj@redhat.com> - 1.6.15-1
- 1.6.15

* Fri Sep 10 2004 Jeremy Katz <katzj@redhat.com> - 1.6.14-1
- update to 1.6.14

* Tue Aug 24 2004 Jeremy Katz <katzj@redhat.com> - 1.6.12-2
- fix assertion error when checking flags on non-active partition (#130692)
- buildrequires: gettext-devel

* Mon Aug 16 2004 Jeremy Katz <katzj@redhat.com> - 1.6.12-1
- update to 1.6.12 with major changes to CHS handling to hopefully fix #115980
- adjust dasd patch accordingly, drop some included patches

* Mon Jul 19 2004 Karsten Hopp <karsten@redhat.de> 1.6.11-4 
- update dasd patch for dos-type partitions on mainframes (scsi disks)

* Fri Jun 25 2004 Jeremy Katz <katzj@redhat.com> - 1.6.11-3
- install-info (#77687)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> - 1.6.11-2
- rebuilt

* Tue Jun  1 2004 Jeremy Katz <katzj@redhat.com>
- -devel requires main package (#124938)

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.11-1
- update to 1.6.11

* Tue May 11 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-4
- add patch from Matt Domsch to not use the get/set last sector ioctls 
  with a 2.6 kernel (#121455)

* Thu Apr 15 2004 David Woodhouse <dwmw2@redhat.com> - 1.6.9-3
- Fix Mac partition detection to close #112937

* Tue Apr 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-2
- another minor tweak for 2.6's lack of sane geometry handling

* Mon Apr 12 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-1
- update to 1.6.9
- need automake17
- python-devel is superfluous with pyparted as a separate package
- lose the fake-libtool stuff, 1.6.9 was disted with newer auto*

* Mon Mar 15 2004 Elliot Lee <sopwith@redhat.com> 1.6.6-2
- Fix parted's "part-static" option to close #118183. Woohoo, a fake-libtool.sh :)

* Fri Mar 12 2004 Jeremy Katz <katzj@redhat.com> - 1.6.6-1
- update to 1.6.6 
- split dasd into a patch instead of included in the tarball
- python module is now in the pyparted package (separate src.rpm)
- ExcludeArch: ppc64 (#118183)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb  6 2004 Jeremy Katz <katzj@redhat.com>
- add automake buildrequires (#115063)

* Thu Jan 22 2004 Jeremy Katz <katzj@redhat.com> 1.6.3-33
- 2.6 removes the geometry fixups that used to be present for IDE disks.  
  According to Andries, just follow what's in the partition table and don't 
  worry about what Linux "detects"

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-32
- rebuild for python 2.3

* Mon Oct 27 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-31
- add patch from Michael Schwendt <mschwendt@users.sf.net> for segfault

* Wed Sep 17 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-30
- rebuild

* Wed Sep 17 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-29
- and don't barf on the old (broken) 1.02 gpt rev

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-28
- rebuild

* Tue Sep 16 2003 Jeremy Katz <katzj@redhat.com> 1.6.3-27
- write out the correct gpt revision (#103664)
- add buildrequires on ncurses-devel

* Thu Sep  4 2003 Bill Nottingham <notting@redhat.com> 1.6.3-26
- rebuild 

* Thu Sep  4 2003 Bill Nottingham <notting@redhat.com> 1.6.3-25
- don't buildreq libunicode-devel

* Thu Aug 07 2003 Elliot Lee <sopwith@redhat.com> 1.6.3-24
- Fix libtool

* Wed Jul 09 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-23
- Fixed dasd_write and dasd_read to support lvm and raid partitions.

* Wed Jun 18 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-22
- Fixed a small bug in VTOC fdasd_check_volume() (#97300).

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 1.6.3-21
- rebuilt

* Wed Jun  4 2003 Matt Wilson <msw@redhat.com> 1.6.3-20
- don't detect AIX physical volumes as msdos partition tables (#91748)
- added stubbed code for manipulating AIX PVs, enough to clobber the
  signature. (#91748)

* Wed Jun 04 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-19
- Added LDL disk layout support for s390(x).

* Sun May 18 2003 Matt Wilson <msw@redhat.com> 1.6.3-18
- use metadata partitions to protect DASD VTOC
- stash DASD specific data in disk specific areas, not arch specific
  areas.

* Fri May 16 2003 Matt Wilson <msw@redhat.com> 1.6.3-18
- recongnize iseries viodasd (#90449)

* Thu May 08 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-17
- Fixed problem with probing partitions on s390(x) with new partition code.

* Mon May 05 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-16
- Fixed partiton reread code for s390(x).

* Fri May 02 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-15
- Rewrote partition handling for s390(x) dasd devices. No more empty partitions.

* Wed Mar 12 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-13
- Finished updating vtoc and fdasd code to latest s390-utils version.

* Thu Mar 06 2003 Phil Knirsch <pknirsch@redhat.com> 1.6.3-12
- Fixed vtoc handling on s390(x) dasd devices.

* Thu Feb 06 2003 Karsten Hopp <karsten@redhat.de> 1.6.3-11
- use different define to enable DASD debugging
  Otherwise we'll get a lot of dasd debug output because DEBUG is
  always defined

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Karsten Hopp <karsten@redhat.de> 1.6.3-9
- missed one debug message

* Tue Jan 21 2003 Karsten Hopp <karsten@redhat.de> 1.6.3-8
- add patch from CVS to disable debug messages on s390

* Tue Jan 14 2003 Matt Wilson <msw@redhat.com> 1.6.3-7
- updated to a new tarball of parted that includes a fs.probe_specific binding

* Sun Dec  1 2002 Matt Wilson <msw@redhat.com> 1.6.3-6
- hack in partition.native_type (#78118)

* Thu Nov  7 2002 Matt Wilson <msw@redhat.com>
- added a patch to avoid SIGFPE when fat sector size is 0

* Tue Nov  5 2002 Matt Wilson <msw@redhat.com>
- use --disable-dynamic-loading

* Mon Nov  4 2002 Matt Wilson <msw@redhat.com>
- add device.disk_new_fresh()

* Fri Nov  1 2002 Matt Wilson <msw@redhat.com>
- 1.6.3

* Fri Oct  4 2002 Jeremy Katz <katzj@redhat.com> 1.4.24-7
- use make LIBTOOL=/usr/bin/libtool instead of recreating everything
- add patch from Jack Howarth <howarth@bromo.med.uc.edu> to self host properly
- add patch to treat GPT structs as little-endian always and treat GUIDS 
  as little-endian blobs
- add patch to recognize hp service partitions

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 1.4.24-6hammer
- libtoolize, etc for x86_64
- hack to get the python module in the right place until python.m4 
  from automake is fixed

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.4.24-6
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 1.4.24-5
- automated rebuild

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com> 1.4.24-4
- rebuild in new environment

* Fri Mar 22 2002 Matt Wilson <msw@redhat.com> 1.4.24-3
- fixed the probe-with-open behavior (again)

* Fri Feb 22 2002 Matt Wilson <msw@redhat.com> 1.4.24-1
- rebuild

* Tue Feb 12 2002 Matt Wilson <msw@redhat.com> 1.4.24-1
- 1.4.24

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan  7 2002 Jeremy Katz <katzj@redhat.com> 1.4.20-4
- build with final python 2.2

* Wed Dec 12 2001 Jeremy Katz <katzj@redhat.com> 1.4.20-3
- update from CVS and rebuild in new environment

* Thu Oct 25 2001 Jeremy Katz <katzj@redhat.com> 1.4.20-2
- build both python1.5 and python2 modules

* Fri Oct 19 2001 Matt Wilson <msw@redhat.com> 1.4.20-1	
- 1.4.20 final

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com> 1.4.20-0.1pre3
- new dist from CVS with new autoconf and automake
- gpt is in 1.4.20, removed patch1 (gpt support)
- partstatic is in 1.4.20, removed patch2 (partstatic patch)

* Tue Aug 28 2001 Matt Wilson <msw@redhat.com> 1.4.16-8
- new dist from cvs with changes to the python binding: register
  DEVICE_I20 and DEVICE_ATARAID, check to make sure that a partition
  exists in the PedDisk when using it to find ped_disk_next_partition

* Tue Aug 21 2001 Matt Wilson <msw@redhat.com> 1.4.16-7
- really disable pc98 support (SF #51632)

* Fri Aug 17 2001 Matt Wilson <msw@redhat.com> 1.4.16-6
- added a patch (Patch1) to link the c library in dynamically, the
  rest of the libs statically for the parted binary (MF #49358)

* Tue Aug  7 2001 Matt Wilson <msw@redhat.com>
- made a new dist from CVS that includes binding for
  disk.get_partition_by_sector and accessing the name of a disk type

* Mon Aug  6 2001 Matt Wilson <msw@redhat.com> 1.4.16-4
- created a new dist from CVS that fixes ext3 detection when
  _probe_with_open is needed (#50292)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- rewrite scsi id code (#49533)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- added build requires (#49549)

* Tue Jul 17 2001 Matt Wilson <msw@redhat.com>
- 1.4.16
- regenerated gpt patch against 1.4.16, incorporated
  parted-1.4.15-pre1-gpt-printf.patch into the same patch, removed Patch1

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains python wrappers to get disk types

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- run ldconfig on un/install

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a fix from clausen for border case when there is an extended
  on the last cyl

* Mon Jul  9 2001 Matt Wilson <msw@redhat.com>
- 1.4.15

* Thu Jul  5 2001 Matt Wilson <msw@redhat.com>
- added patch from Arjan to enable ataraid support

* Wed Jul  4 2001 Matt Wilson <msw@redhat.com>
- imported 1.4.15-pre2 into CVS and made a new dist tarball

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains a check in python code to
  make sure that a partition exists within a disk before trying to
  remove it from the disk
- also changed _probe_with_open to make the first probed filesystem win

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- fix filesystem type reading on GPT disks

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added another fix for ext2/ext3
- added Patch4 to move the crc32 function into its own namespace so
  we don't colide with zlib when both are in the same executable space

* Mon Jun 25 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball from CVS that includes
  ext3 probing

* Wed Jun  6 2001 Matt Wilson <msw@redhat.com>
- updated dist with binding for partition.geom.disk

* Tue Jun  5 2001 Matt Wilson <msw@redhat.com>
- make a new dist tarball that has new python binding changes

* Tue May 29 2001 Bill Nottingham <notting@redhat.com>
- add major numbers for cciss 
- add libunicode-devel buildprereq

* Sun May 27 2001 Matthew Wilson <msw@redhat.com>
- added type, heads, and sectors to the python binding for PedDevice

* Fri May  4 2001 Matt Wilson <msw@redhat.com>
- added parted-1.4.11-gpt-pmbralign.patch from Matt Domsch

* Wed May  2 2001 Matt Wilson <msw@redhat.com>
- include python binding
- enable shared library (for python binding, we want fpic code)
  with --enable-shared
- build parted binary static with --enable-all-static
- don't run libtoolize on this.

* Wed May 02 2001 Bill Nottingham <notting@redhat.com>
- update to 1.4.11
- add EFI GPT patch from Matt Domsch (<Matt_Domsch@dell.com>)
- don't run autoconf, it relies on a newer non-released version
  of autoconf...

* Fri Feb 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- langify

* Wed Jan 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.4.7

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Fri Nov 03 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.12

* Wed Nov 01 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.11

* Tue Oct 17 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.10

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.9

* Tue Aug 29 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix bug when just hitting "return" with no user input

* Sun Aug 20 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- 1.2.8
- blksize patch not needed anymore
- move changelog to the end of the spec file

* Wed Aug 16 2000 Matt Wilson <msw@redhat.com>
- 1.2.7
- patched configure script to ignore the 2.4 blkpg.h header (fixes #15835).

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.6

* Sat Jul 22 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.5
- add more docu

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
